[android-components](../../index.md) / [mozilla.components.service.fxa](../index.md) / [FxaAuthData](index.md) / [authType](./auth-type.md)

# authType

`val authType: `[`AuthType`](../../mozilla.components.concept.sync/-auth-type/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/firefox-accounts/src/main/java/mozilla/components/service/fxa/Types.kt#L45)

Type of authentication which caused this object to be created.

### Property

`authType` - Type of authentication which caused this object to be created.